Subject: bug#64046: 30.0.50; Quoting in customize choice tags

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Sep 2023 09:16:54 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Fri, 1 Sep 2023 00:59:58 +0200
> Cc: Eli Zaretskii <[email-masked]>, "[email-masked]" <[email-masked]>, 
> 	"[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, 
> 	Mauro Aranda <[email-masked]>
> 
> Drew Adams <[email-masked]> writes:
> 
> > > Do you have an example of where it's not?  I can't think of one, so
> > > you'll have to help me here.
> >
> > Don't need one.  The TITLE can be _any_ text.
> > Who knows how ` and ' might be used?  You don't,
> > any more than I do.  Or if you do, please let us
> > know your assumptions about this: what gives you
> > the idea that they should always be translated
> > to curly quotes?
> 
> I was convinced by Stephen Berman's arguments upthread.  He spoke
> about the specifics of this function, how it might typically be used,
> and used examples to show why using curly quotes is a good idea here.
> 
> The reality is that we have decided to use curly quotes in Emacs, in
> places where it is typographically correct.  That decision was made
> before I was very active in the project, BTW.  So either we reverse
> that decision, or we try to be consistent about it.  My position is
> that the latter is preferable.

No, we will not reverse that decision.  Conversion of quotes is
dynamic, it's sensitive to the display capabilities of the underlying
terminal, and includes enough knobs for people who don't want that to
disable it.  I wish that Drew had finally accepted this as a fait
accompli and stopped raising the same arguments on every opportunity.